[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Postfix error on start up ...

Please try option a) from earlier mail bellow.

I may be missing something, but libsasl2-modules-sql only includes mysql/pgsql,
but doesn't include sqlite, which is why I had to build from source :(

Please note that I'm basing this off of the fact that the dependences listed at:


only include pgsql and mysql libraries :(

Well, but you should use


or locally "apt-cache show libsasl2-modules-sql".

There is a dependency on libsqlite0 (>= 2.8.17).

Stupid question here, but how come this doesn't work?

# ldd /usr/sbin/postfix
/usr/bin/ldd: line 160: /lib/ld.so.1: cannot execute binary file
/usr/bin/ldd: line 170: /lib/ld.so.1: cannot execute binary file
ldd: /lib/ld.so.1 exited with unknown exit code (126)

Its what I generally do under FreeBSD to see what shared libraries are being looked for, and found ...

Do you really use kernel from debian package ?
GNU/kFreeBSD kernel is not vanilla FreeBSD kernel!


I.e without 010_ET_DYN.diff ldd does not work,
without 007_clone_signals.diff multi-thread apps do not work.


Reply to: